%global pypi_name sphinxcontrib-httpdomain

%define python3 1

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Sphinx domain for HTTP APIs

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Sphinx domain for HTTP APIs.

%if %python3
%package -n python3-%{pypi_name}
Summary:        Sphinx domain for HTTP APIs
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
Sphinx domain for HTTP APIs.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf sphinxcontrib_httpdomain.egg-info

%if %python3
cp -a . %{py3dir}
%endif

%build
%py2_build

%if %python3
pushd %{py3dir}
%py3_build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%py3_install
popd
%endif

%py2_install

%files
%{python2_sitelib}/sphinxcontrib*

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/sphinxcontrib*
%endif


%changelog
* Wed Dec 16 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 911032
- new version: 1.4.0
- use new python macros
- enable python 3 package

* Sat Oct 10 2015 tv <tv> 1.1.9-8.mga6
+ Revision: 889065
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.1.9-7.mga5
+ Revision: 744148
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.9-6.mga5
+ Revision: 729810
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.9-5.mga5
+ Revision: 688347
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.9-3.mga4
+ Revision: 544217
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.9-2.mga4
+ Revision: 499421
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 neoclust <neoclust> 1.1.9-1.mga4
+ Revision: 494843
- imported package python-sphinxcontrib-httpdomain

